- Qt 6.9
- Qt Qml Core
- QML Types
- MicrophonePermission
- Qt 6.9.3 Reference Documentation

# MicrophonePermission QML Type

Access to the user's microphone. More...

Import Statement: | `import QtCore`
Since: | Qt 6.6

- List of all members, including inherited members

## Properties

- status : Qt::PermissionStatus

## Methods

- request()

## Detailed Description

This type represents a QMicrophonePermission, and can be used to check the status of and request access to the user's microphone.

See QMicrophonePermission for documentation of the individual properties and detailed usage requirements.

See also QML Application Permissions, Application Permissions, and QMicrophonePermission.

## Property Documentation

status : Qt::PermissionStatus

This property holds the current status of the permission.

See also QCoreApplication::checkPermission.

## Method Documentation

request()

Requests the permission with its current properties.

See also QCoreApplication::requestPermission.